Skip to main content
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
payments
List Payments
curl --request GET \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/payments \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
{
  "api_version": "v1",
  "data": {
    "payments": [
      {
        "id": "644",
        "token": "pm_f37a10dd-c530-4d86-8483-be473e820578",
        "aggregator_merchant_id": "am_749fe6ce-91f9-4f6a-9df2-ec6ae9f75a30",
        "order_id": "has_3320",
        "type": "DYNAMIC_QR",
        "amount": "250",
        "status": "P_REJECTED",
        "uetr": "e3391812-f9f5-4feb-bd6d-60698e9b662f",
        "trace_reference": "ce08b498-376c-41dd-b32b-f814441c4507",
        "msg_id": "FE0PMU5HHKKPF4S7PLR20M8HKBYI57WAUV5",
        "pmt_inf_id": "9545TGYRG0F6DCQEF2ZH7UCOCU57FUNYDL9",
        "request_id": "6a049190-3595-47cb-8603-7e310c3adb15",
        "expires_at": "2025-06-27T06:47:34Z",
        "created_at": "2025-06-27T06:45:35Z",
        "updated_at": "2025-06-27T06:48:33Z"
      },
      {
        "id": "643",
        "token": "pm_49707018-026f-4159-8b1a-da0e3b482cbb",
        "aggregator_merchant_id": "am_749fe6ce-91f9-4f6a-9df2-ec6ae9f75a30",
        "order_id": "order03330",
        "type": "RTP_LATER",
        "amount": "22000",
        "status": "P_INITIATED",
        "uetr": "8fe838bb-57f7-4488-8198-b7b240eac83c",
        "trace_reference": "5041299c-c5bd-4ac0-b3f8-b6131f15c55f",
        "msg_id": "54QMCJLI7UATICTM1MZYPXESGMJ5O5TXUSX",
        "pmt_inf_id": "LWMEZ7RUGR92H0TJKMUSKOCC381NK9Z2K8C",
        "request_id": "8f20f196-e1c9-46b7-9b41-67f17baa7438",
        "expires_at": "2025-07-03T11:21:23Z",
        "created_at": "2025-06-26T11:21:23Z",
        "updated_at": "2025-06-26T11:21:23Z"
      }
    ],
    "count": "605"
  }
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

Query Parameters

limit
string

Maximum number of payments to return in the result set.

offset
string

Number of payments to skip before starting the result set.

aggregator_merchant_id
string

Filter by Safepay aggregator merchant identifier.

order_id
string

Filter by the merchant supplied order identifier.

request_id
string

Filter by the client generated idempotent request identifier.

trace_reference
string

Filter by the trace reference assigned during processing.

msg_id
string

Filter by the Raast network message identifier.

pmt_inf_id
string

Filter by the payment information identifier from the Raast message.

uetr
string

Filter by the Unique End-to-end Transaction Reference (UETR).

status
enum<string>

Filter by the payment status.

Available options:
P_INITIATED,
P_RECEIVED,
P_CANCELLED,
P_REJECTED,
P_FAILED,
P_AUTHORIZED,
P_REVERSED,
P_CAPTURED,
P_SETTLED,
P_PARTIALLY_REFUNDED,
P_REFUNDED
type
enum<string>

Filter by the payment type.

Available options:
RTP_NOW,
RTP_LATER,
STATIC_QR,
DYNAMIC_QR
payment_id
string

Filter by the payment identifier.

qr_code_id
string

Filter by the QR code identifier associated with the payment.

end_to_end_id
string

Filter by the end-to-end identifier recorded for the payment.

instr_id
string

Filter by the instruction identifier from the Raast message payload.

start_date
integer

Filter payments created on or after this date (UNIX timestamp).

end_date
integer

Filter payments created on or before this date (UNIX timestamp).

Response

200 - application/json

Paginated list of payments linked to a merchant

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Paginated payment collection payload.